Package org.oasis_open.docs.ws_calendar.ns.soap

# Class SupportedFeaturesType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesBasePropertyType
org.oasis_open.docs.ws_calendar.ns.soap.SupportedFeaturesType

public class SupportedFeaturesType extends GetPropertiesBasePropertyType
Type returned in GetPropertiesResponse when targeted at any resource to identify the CalWS features supported by the service.

Java class for SupportedFeaturesType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportedFeaturesType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}GetPropertiesBasePropertyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}calendarAccessFeature"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<CalendarAccessFeatureType>`
  `calendarAccessFeature`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupportedFeaturesType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CalendarAccessFeatureType>`
  `getCalendarAccessFeature()`
  Gets the value of the calendarAccessFeature property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### calendarAccessFeature

    protected List<CalendarAccessFeatureType> calendarAccessFeature

- ## Constructor Details

  - ### SupportedFeaturesType

    public SupportedFeaturesType()

- ## Method Details

  - ### getCalendarAccessFeature

    public List<CalendarAccessFeatureType> getCalendarAccessFeature()
    Gets the value of the calendarAccessFeature property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the calendarAccessFeature property.

    For example, to add a new item, do as follows:

            getCalendarAccessFeature().add(newItem);

    Objects of the following type(s) are allowed in the list `CalendarAccessFeatureType`